# Uses of Class
org.eclipse.jdt.ui.text.folding.DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation

Packages that use DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation
Package
Description
org.eclipse.jdt.ui.text.folding
Application programming interfaces for interaction with the Eclipse Java Editor folding.

## Uses of DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation in org.eclipse.jdt.ui.text.folding

Methods in org.eclipse.jdt.ui.text.folding with parameters of type DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation
Modifier and Type
Method
Description
`void`
DefaultJavaFoldingStructureProvider.FoldingStructureComputationContext.`addProjectionRange(DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation annotation, org.eclipse.jface.text.Position position)`
Adds a projection (folding) region to this context.